org.apache.log4j.chainsaw.prefs

## Interface SettingsListener

- All Superinterfaces:
    EventListener
  All Known Subinterfaces:
    Profileable
  All Known Implementing Classes:
    ApplicationPreferenceModelSaver, LogPanel, LogUI, MRUFileListPreferenceSaver, ReceiversPanel

      public interface SettingsListener
      extends EventListener

  Components, or objects, that are interested in being notified when Settings are loaded or being saved, can implement this interface. 'Settings' are Chainsaw wide preferences, and are not specific to a particular tab identifer etc. See the correspoing ProfileListener and related classes for a discussion on profile specific events etc. The implementing class can use this event notification opportunity to load setting information stored previously, or to request that setting information be stored. NOTE: This contract does _*NOT*_ dictate that the Thread invoking these methods will be the Swing's Event dispatching event, it could be any arbitary thread. Having said that, it COULD be the Swing's Event dispatching event, but this contract makes no guarantee.
  Author:
    Paul Smith <psmith@apache.org>

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `loadSettings(LoadSettingsEvent event)` When a request to load Settings has been requested, this method will be invoked by the SettingsManager.
    `void` | `saveSettings(SaveSettingsEvent event)`

- - ### Method Detail

    - #### loadSettings

          void loadSettings(LoadSettingsEvent event)

      When a request to load Settings has been requested, this method will be invoked by the SettingsManager. The implementing component can query the event for settings, and modify it's internal state based on these settings.
      Parameters:
        `event` -

    - #### saveSettings

          void saveSettings(SaveSettingsEvent event)

Copyright © 2002-2018 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache Chainsaw, Chainsaw, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.